﻿using System.Diagnostics;
using ClassLibrary2;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace LibraryTest
{
    
    
    /// <summary>
    ///This is a test class for Class1Test and is intended
    ///to contain all Class1Test Unit Tests
    ///</summary>
    [TestClass()]
    public class Class1Test
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        [ClassInitialize()]
        public static void MyClassInitialize(TestContext testContext)
        {
            Debug.WriteLine("Deployment Directory: {0}", new object[] { testContext.DeploymentDirectory });
            Debug.WriteLine("Test Deployment Directory: {0}", new object[] { testContext.TestDeploymentDir });
            Debug.WriteLine("Test Directory: {0}", new object[] { testContext.TestDir });
            Debug.WriteLine("Test Run Direcotry: {0}", new object[] { testContext.TestRunDirectory });
            Debug.WriteLine("Test Results Directory: {0}", new object[] { testContext.TestResultsDirectory });
            Debug.WriteLine("Results Directory: {0}", new object[] { testContext.ResultsDirectory });
        }
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for StubMethod
        ///</summary>
        [TestMethod()]
        public void StubMethodTest()
        {
           
          Assert.IsTrue(true);
        }
    }
}
